Package com.explodingpixels.widgets

## Class PopupMenuCustomizerUsingStrings

- java.lang.Object
- - com.explodingpixels.widgets.PopupMenuCustomizerUsingStrings

All Implemented Interfaces:
  `PopupMenuCustomizer`

    public class PopupMenuCustomizerUsingStrings
    extends java.lang.Object
    implements PopupMenuCustomizer

### Constructor Summary

Constructors
`PopupMenuCustomizerUsingStrings​(java.awt.event.ActionListener listener, java.lang.String... menuItemStrings)`
`PopupMenuCustomizerUsingStrings​(java.awt.event.ActionListener listener, java.util.List<java.lang.String> menuItemStrings)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `customizePopup​(javax.swing.JPopupMenu popup)` Called just prior the given `JPopupMenu` being shown.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PopupMenuCustomizerUsingStrings

    public PopupMenuCustomizerUsingStrings​(java.awt.event.ActionListener listener,
                                           java.lang.String... menuItemStrings)

#### PopupMenuCustomizerUsingStrings

    public PopupMenuCustomizerUsingStrings​(java.awt.event.ActionListener listener,
                                           java.util.List<java.lang.String> menuItemStrings)

### Method Detail

#### customizePopup

    public void customizePopup​(javax.swing.JPopupMenu popup)

Description copied from interface: `PopupMenuCustomizer`
Called just prior the given `JPopupMenu` being shown.

Specified by:
  `customizePopup` in interface `PopupMenuCustomizer`
Parameters:
  `popup` - the `JPopupMenu` about to be shown.